﻿using System;
using System.Collections.Generic;

using System.Text;
using System.Threading.Tasks;
using TechnologyAssembler.Core.IO;

namespace HashCalculator.GUI
{
    internal enum InputEntryType
    {
        Text,
        BigFile,
        ManifestFile,
        XmlFile,
        BinaryFile,
        Path,
    }

    internal sealed class InputEntry
    {
        public InputEntryType Type { get; }
        public string Value { get; }
        public string Text { get; }

        public InputEntry(InputEntryType type, string text, string value)
        {
            Type = type;
            Text = text;
            Value = value;
        }

        public override string ToString()
        {
            return Text;
        }

    }
}
